## org.eclipse.emf.ecore.change
Interface ChangeDescription

All Superinterfaces:
  EObject, Notifier

All Known Implementing Classes:
  ChangeDescriptionImpl

    public interface ChangeDescription

extends EObject

A representation of the model object 'Description'.

The following features are supported:

- `Object Changes`
- `Objects To Detach`
- `Objects To Attach`
- `Resource Changes`

See Also:
  `ChangePackage.getChangeDescription()`

Method Summary
`void` `apply()`
`void` `applyAndReverse()`
`EMap<EObject,EList<FeatureChange>>` `getObjectChanges()` Returns the value of the 'Object Changes' map.
`EList<EObject>` `getObjectsToAttach()` Returns the value of the 'Objects To Attach' containment reference list.
`EList<EObject>` `getObjectsToDetach()` Returns the value of the 'Objects To Detach' reference list.
`EList<ResourceChange>` `getResourceChanges()` Returns the value of the 'Resource Changes' containment reference list.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getObjectChanges

    EMap<EObject,EList<FeatureChange>> getObjectChanges()

  Returns the value of the 'Object Changes' map. The key is of type `EObject`, and the value is of type list of `FeatureChange`,

  Returns:
    the value of the 'Object Changes' map.
  See Also:
    `ChangePackage.getChangeDescription_ObjectChanges()`

### getObjectsToDetach

    EList<EObject> getObjectsToDetach()

  Returns the value of the 'Objects To Detach' reference list. The list contents are of type `EObject`.

  Returns the list of objects that will be detached when this Change Description is applied. The list is calculated every time this method is called.

  Returns:
    the value of the 'Objects To Detach' reference list.
  See Also:
    `ChangePackage.getChangeDescription_ObjectsToDetach()`

### getObjectsToAttach

    EList<EObject> getObjectsToAttach()

  Returns the value of the 'Objects To Attach' containment reference list. The list contents are of type `EObject`.

  Returns:
    the value of the 'Objects To Attach' containment reference list.
  See Also:
    `ChangePackage.getChangeDescription_ObjectsToAttach()`

### getResourceChanges

    EList<ResourceChange> getResourceChanges()

  Returns the value of the 'Resource Changes' containment reference list. The list contents are of type `ResourceChange`.

  Returns:
    the value of the 'Resource Changes' containment reference list.
  See Also:
    `ChangePackage.getChangeDescription_ResourceChanges()`

### apply

    void apply()

### applyAndReverse

    void applyAndReverse()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.